import service from '@/utils/service'

const baseUrl = process.env.VUE_APP_HOST + '/manager/api';

const gameDataApi = {};

gameDataApi.baseUrl = baseUrl;

gameDataApi.getGameData = params => {
  return service({
    url: `${baseUrl}/v1/getGameData`,
    method: 'get',
    params:params
  })
};

gameDataApi.getAllGameData = params => {
  return service({
    url: `${baseUrl}/v1/getAllGameData`,
    method: 'get',
    params:params
  })
};

gameDataApi.getCollections = () => {
  return service({
    url: `${baseUrl}/v1/getCollections`,
    method: 'get',
  })
};

export default gameDataApi
